ubuntu中怎样安装chmsee

OOo,TeX,KO,ABI,GIMP,Picasa,ProE,QCAD,Inkscape,Kicad,Eagle
回复
头像
成功者
帖子: 648
注册时间: 2008-09-20 16:37
送出感谢: 23 次
接收感谢: 7 次

ubuntu中怎样安装chmsee

#1

帖子 成功者 » 2022-02-15 11:21

那个高手更新一下,别的chm软件兼容都不太好
头像
astolia
论坛版主
帖子: 5825
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 1012 次

Re: ubuntu中怎样安装chmsee

#2

帖子 astolia » 2022-02-15 11:36

8年前就停止开发的软件,所用的技术现在完全过时。
如果还有看chm的需求,我建议是用7zip把chm解压出来,用浏览器看。
其他的chm查看软件用的是webkit系,chmsee用的是firefox,你用firefox试试?
另外也可以用虚拟机装个精简版xp系统
sxgpic
帖子: 71
注册时间: 2013-12-13 6:57
送出感谢: 1 次
接收感谢: 3 次

Re: ubuntu中怎样安装chmsee

#3

帖子 sxgpic » 2022-02-15 22:47

chmsee_1.3.0-2ubuntu2_amd64.deb
(98.23 KiB) 下载 39 次
libchm1_2.40a-7_amd64.deb
(22.48 KiB) 下载 39 次
libenchant1c2a_1.6.0-11.1+b1_amd64.deb
(68.21 KiB) 下载 39 次
libjpeg62-turbo_2.0.6-2_amd64.deb
(146.91 KiB) 下载 42 次
以上几个包 20.04 可以安装,比较小我就直接上传了。
还依赖以下三个比较大的包,不太方便上传,你可以在 debian 仓库里找到:

https://mirrors.163.com/debian/pool/mai ... _amd64.deb
https://mirrors.163.com/debian/pool/mai ... _amd64.deb
http://mirrors.163.com/debian/pool/main ... _amd64.deb

UBUNTU 20.04 把以上一堆包装上就可以用了。
2022-02-15 22-56-24 的屏幕截图.png
这些用户感谢了作者 sxgpic 于这个帖子:
成功者 (2022-03-15 18:18)
评价: 3.7%
头像
成功者
帖子: 648
注册时间: 2008-09-20 16:37
送出感谢: 23 次
接收感谢: 7 次

Re: ubuntu中怎样安装chmsee

#4

帖子 成功者 » 2022-03-15 18:19

感谢sxgpic!
头像
成功者
帖子: 648
注册时间: 2008-09-20 16:37
送出感谢: 23 次
接收感谢: 7 次

Re: ubuntu中怎样安装chmsee

#5

帖子 成功者 » 2022-03-15 18:20

有个“轻轻松松学单词”有办法运行吗?
或者是类似的软件?
sxgpic
帖子: 71
注册时间: 2013-12-13 6:57
送出感谢: 1 次
接收感谢: 3 次

Re: ubuntu中怎样安装chmsee

#6

帖子 sxgpic » 2022-08-01 10:07

在 ubuntu 22.04 下重新编译了 chmsee 1.3.1.1

chmsee_1.3.1.1-1ubuntu1_amd64.deb
(113.28 KiB) 下载 10 次

依赖的包跟以上3楼帖子中的 1.3.0 一样。

需要注意的是,ubuntu 22.04 仓库中缺乏这些依赖的包,需要自己到 debian 的仓库里去下载,装上即可:

libenchant1c2a_1.6.0-11.1+b1_amd64.deb
libicu57_57.1-6+deb9u4_amd64.deb
libjpeg62-turbo_2.0.6-2_amd64.deb
libwebp6_0.6.1-2.1_amd64.deb
libwebkitgtk-1.0-0_2.4.11-3_amd64.deb
libjavascriptcoregtk-1.0-0_2.4.11-3_amd64.deb

最关键的包是 libwebkitgtk-1.0,其他 libenchant1c2a、libicu57、libjpeg62-turbo、libwebp6 都是这个包的依赖。
尝试在 ubuntu 22.04 下重新编译 libwebkitgtk-1.0 以去掉对 libenchant1c2a、libicu57、libjpeg62-turbo、libwebp6 这些老版本库的依赖,编译完在链接时发生错误,未果。

附上chmsee 1.3.1.1 源代码,如果谁有能力搞一搞,把里面的 webkit 补丁升级换成 webkit2,在新系统里面编译就更简单了。

源代码:
chmsee_1.3.1.1.orig.tar.gz
(135.78 KiB) 下载 10 次
头像
百草谷居士
帖子: 3782
注册时间: 2006-02-10 16:36
系统: Mint20.3/Deepin20.6
送出感谢: 36 次
接收感谢: 45 次
联系:

Re: ubuntu中怎样安装chmsee

#7

帖子 百草谷居士 » 2022-08-02 9:48

kchmviewer 就不错。
另外那个 calibre 好像也能打开 chm 文件
ubuntu 22.04 / 深度系统 20.6 / Mint 21

为何热衷于搞发行版的多,搞应用程序开发的少?Linux最多余的就是各种发行版,最缺的就是应用程序,特别是行业应用程序。
头像
大宝
帖子: 2967
注册时间: 2008-06-30 22:32
送出感谢: 3 次
接收感谢: 11 次
联系:

Re: ubuntu中怎样安装chmsee

#8

帖子 大宝 » 2022-08-14 11:14

Okular
所以我还是用 Wine 的 iRead,虽然支持的格式不多
回复